



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java 基础【13】 文件(文件夹) 创建和删除</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java 基础【13】 文件(文件夹) 创建和删除</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 15:50:20 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>使用 java.io.file 创建文件（文件夹），算是 java 最基础的知识，但实战项目中还是需要知晓细节。</p>
<p>比如 File 类中的 mkdir() 和 mkdirs() 的区别。</p>
<p>JDK API 中描述：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/362169/201607/362169-20160713150447686-275217612.png" /></p>
<p>来段代码会看的更清楚：</p>
<div>
<pre class="prettyprint linenums">        File file1 = new File("F:/AAA/BBB/CCC");<br />
        if (file1.mkdirs()) {<br />
            System.out.println("多级层文件夹创建成功！创建后的文件目录为：" + file1.getPath() + ",上级文件为:" + file1.getParent());<br />
        }

        File file2 = new File("F:/AAA/BBB/CCC/DDD");<br />
        if (file2.mkdir()) {<br />
            System.out.println("单文件夹 DDD 创建成功！创建后的文件目录为：" + file2.getPath() + ",上级文件为:" + file2.getParent());<br />
        }

        File file3 = new File("F:/AAA/BBB/CCC/DDD","mytest.txt");<br />
        try {<br />
            if (file3.createNewFile()) {<br />
                System.out.println("多级层文件夹下文件创建成功！创建了的文件为:" + file3.getAbsolutePath() + ",上级文件为:" + file3.getParent());<br />
            }<br />
        } catch (IOException e) {<br />
            e.printStackTrace();<br />
        }</pre>
</div>
<p>输出：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/362169/201607/362169-20160713153501561-1889988669.png" /></p>
<p>这样就很清楚了，mkdir() 创建单个文件夹，要确保它的上级文件夹存在。</p>
<p>mkdirs() 创建多个文件夹，并且不需要保证它的上级文件夹存在。</p>
<p>将文件输出到文件夹下要确保目标文件夹存在。</p>
<p>【附赠】递归删除整个文件夹（文件）方法：</p>
<div>
<pre class="prettyprint linenums">    /**<br />
     * 删除某个文件夹下的所有文件夹和文件<br />
     *<br />
     * @param delpath<br />
     * @throws FileNotFoundException IOException<br />
     * @return boolean<br />
     */<br />
    public static boolean deletefile(String delpath) throws Exception {<br />
        File file = new File(delpath);<br />
        if (file.isDirectory()) {<br />
            String[] filelist = file.list();<br />
            for (String delFile : filelist) {<br />
                File delfile = new File(delpath + File.separator + delFile);<br />
                if (delfile.isDirectory()) {<br />
                    deletefile(delpath + File.separator + delFile);<br />
                } else<br />
                    System.out.println("正在删除文件：" + delfile.getPath() + ",删除是否成功：" + delfile.delete());<br />
            }<br />
            System.out.println("正在删除空文件夹：" + file.getPath() + ",删除是否成功：" + file.delete());<br />
        } else<br />
            System.out.println("正在删除文件：" + file.getPath() + ",删除是否成功：" + file.delete());<br />
        return true;<br />
    }</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q2x13o9.html">浅析python 中&lowbar;&lowbar;name&lowbar;&lowbar; &equals; &amp;&num;39&semi;&lowbar;&lowbar;main&lowbar;&lowbar;&amp;&num;39&semi; 的作用</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4mk53q.html">VS2015 &plus; Cordova Html5开发使用Crosswalk Web引擎</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j6rk4q.html">C&num;，往线程里传参数的方法总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdnyyv9.html">点击div区域以外部分，div区域隐藏</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde4lgz9.html">Android Fragment动态添加 FragmentTransaction FragmentManager</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydexegq.html">SPOJ 7258 Lexicographical Substring Search（后缀自动机）</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mr7748.html">VPS&lpar;Virtual Private Server 虚拟专用服务器&rpar;&lbrack;转自百度&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zndxe9.html">Docker存储驱动之Device Mapper简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpon27q.html">你说你精通CSS，真的吗？</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzlr0g8.html">Java  方法重载，方法重写（覆盖），继承等细节注意</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25jollq.html">powershell脚本找修改的文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1lnneq.html">20165205 2017-2018-2 《Java程序设计》课程总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjwlv09.html">centos7编译安装php7&period;2</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwmzv79.html">&lpar;18&rpar;What a planet needs to sustain life</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1n5y09.html">iPhone手机获取uuid 安装测试app</a>
		</li>
						<li><a href="https://www.batexi.com/a/93j7p3r8.html">vc&plus;&plus; windows 快速启动栏创建快捷方式</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zv6ydv9.html">Flask写web时cookie的处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/9g3k6d4q.html">Win7如何改变用户文件夹位置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pmywv79.html">Python Socket 网络编程 &lpar;服务器端编程&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwopzg39.html">jQuery 实现最简单的form表单提交 Loding  功能</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/49530oz8.html">jquery attr&lpar;&rpar;方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/rql1ll19.html">js的url解析函数封装</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7eoej9.html">asp&period;net mvc 中 一种简单的 URL 重写</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gpp149.html">SharePoint 自定义的列表页面中添加javascript的一个 For循环语句后，该页面就打不开了。</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8o44oxq.html">Android Studio导入修改</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9ppmd49.html">谷歌电子市场1--BaseFragment</a>
			</li>
						<li><a href="https://www.batexi.com/a/rql1ole9.html">WeakReference在Handler中的应用</a>
			</li>
						<li><a href="https://www.batexi.com/a/4953pje8.html">android&colon;Intent匹配action&comma;category和data原则</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kon13q.html">AppDelegate动态加载StoryBoard</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qx2o5v8.html">ListView和Adapter的配合使用以及Adapter的重写</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
